> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stardust.gg/llms.txt
> Use this file to discover all available pages before exploring further.

# Authenticate profile



## OpenAPI

````yaml post /v1/profile/{id}/authenticate
openapi: 3.0.0
info:
  title: Stardust API
  description: ''
  version: v1
  contact: {}
servers:
  - url: https://vault-api.stardust.gg
    description: WaaS API
security: []
tags: []
paths:
  /v1/profile/{id}/authenticate:
    post:
      tags:
        - Profile Endpoints
      operationId: ProfileController_authenticate
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ProfileAuthenticateRequest'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JWTResponse'
        '403':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - api-key: []
        - jwt-core: []
components:
  schemas:
    ProfileAuthenticateRequest:
      type: object
      properties:
        duration:
          type: number
          nullable: true
    JWTResponse:
      type: object
      properties:
        jwt:
          type: string
          description: A JWT Access Token
      required:
        - jwt
    ErrorResponse:
      type: object
      properties:
        message:
          type: string
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: x-api-key
    jwt-core:
      type: apiKey
      in: header
      name: Authorization

````